Bio::LiveSeq::Intron(3)

NAME
Bio::LiveSeq::Intron - Range abstract class for LiveSeq

SYNOPSIS
  # documentation needed

DESCRIPTION
Class for INTRON objects. They consist of a beginlabel, an endlabel (both referring to a LiveSeq DNA object) and a strand. The strand could be 1 (forward strand, default), -1 (reverse strand).

AUTHOR - Joseph A.L. Insana
Email: Insana@ebi.ac.uk, jinsana@gmx.net

Address:

     EMBL Outstation, European Bioinformatics Institute
     Wellcome Trust Genome Campus, Hinxton
     Cambs. CB10 1SD, United Kingdom

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title   : new
  Usage   : $intron1=Bio::LiveSeq::Intron->new(-seq => $objref,
                                               -start => $startlabel,
                                               -end => $endlabel,
                                               -strand => 1
                                               );

  Function: generates a new Bio::LiveSeq::Intron
  Returns : reference to a new object of class Intron
  Errorcode -1
  Args    : two labels and an integer